Scilab function
Last update : 16/06/2004

neighbors - sommets voisins connectés à un sommet

### Calling Sequence

  `a = neighbors(i,g)`

### Parameters

- `i` : entier
- `g` : graphe (liste)
- `a` : vecteur d'entiers

### Description

`neighbors` renvoie les numéros des sommets connectés avec le sommet i pour le graphe `g` (orienté ou non).

### Examples

    ta=[1  6  2  4  7  5  6  8  4  3  5  1];
    he=[2  1  3  6  4  8  8  7  2  7  3  5];
    g=make_graph('foo',1,8,ta,he);
    g('node_x')=[285  284  335  160  405  189  118  45];
    g('node_y')=[266  179   83  176  368  252  64  309];
    show_graph(g);
    a=neighbors(6,g)
    show_nodes(a);

### See Also

`predecessors`, `successors`,